import i18n from "i18next";
import { useTranslation, initReactI18next } from "react-i18next";
import FirstSection_EN from "./en/firstSection.json"
import FirstSection_VI from "./vi/firstSection.json"
export const locales = {
  en: 'English',
  vi: 'Việt Nam'
}
export const resources = {
  en: {
    firstSection: FirstSection_EN
  },
  vi: {
    firstSection: FirstSection_VI

  },
};
i18n.use(initReactI18next).init({
  resources,
  lng: "en",
  fallbackLng: "en",
  interpolation: {
    escapeValue: false, // react already safes from xss
  },
});
