import React, { useState, useEffect } from "react";
import aboutImage from "../../../assets/images/robot32.png";
import VideoSGPT from "../../../assets/sgpt.mp4";
import MysteriousText from "../animated/MysteriousText";
import TypingText from "../animated/TypingText";
type Props = {};

const AboutSection = (props: Props) => {
  const copyToClipboard = (address: string) => {
    navigator.clipboard.writeText(address);
  };

  return (
    <div
      className="container mx-auto text-white py-2 lg:flex-row flex-col flex relative "
      id="about"
      style={{
        backgroundImage: `url(https://awv3node-homepage.surge.sh/build/assets/stars.svg)}`,
      }}
    >
      <div className="flex flex-col justify-center gap-10 lg:w-1/2 w-full  px-8 pt-2 order-1">
        <div className="flex flex-col gap-8">
          <h4 className="text-3xl uppercase font-bold hover:text-orange-400">
            What is SGPT?
          </h4>
          {/* <div>
            <h1>{typedText}</h1>
          </div> */}
          <p className="text-gray-100 w-full md:w-full lg:w-4/5 text-lg min-h-[255px] text-justify">
            <TypingText>
              SGPT Token is a complementary token created on the blockchain
              platform to provide a platform for small and medium-sized
              businesses (SMBs) to create and manage an internal Q&A system.
              SGPT Token will be used to conduct transactions on the platform
              and provide benefits to members of the internal Q&A system. SGPT
              Token will also be used to reward members who make positive
              contributions to the system.
            </TypingText>
            {/* <MysteriousText>
            </MysteriousText> */}
          </p>
        </div>

        <div className="flex flex-col gap-4">
          <h4 className="text-3xl uppercase font-bold hover:text-orange-400">
            SGPT Solution
          </h4>
          <p className="text-gray-100 w-full md:w-full lg:w-4/5   text-lg min-h-[225px] text-justify">
            {/* <h1>{typedText}</h1> */}
            <TypingText>
              The SGPT Token is a solution to the problems associated with
              traditional payment methods for chat bot services. The token is
              built on blockchain technology, which ensures that transactions
              are fast, secure, and transparent. Moreover, the use of the SGPT
              Token eliminates the need for traditional payment methods, which
              are often costly and inconvenient.
            </TypingText>
            {/* <MysteriousText>
              
            </MysteriousText> */}
          </p>
        </div>
      </div>
      <div className="lg:w-1/2 md:flex hidden justify-center items-center h-[660px] lg:order-1 w-full">
        <video controls className="rounded-md" muted autoPlay>
          <source src={VideoSGPT} type="video/mp4" />
        </video>
      </div>
    </div>
  );
};

export default AboutSection;
